const HOST = 'http://localhost:3600/api/';

function _apiFetch(uri, params, headers, method = 'GET') {
  return fetch(`${HOST}${uri}`, {
    headers: Object.assign({
      'Content-Type': 'application/json',
      'Cache-Control': 'no-cache'
    }, headers),
    method,
    body: JSON.stringify(params)
  });
}

function _authFetch(config) {
  const uri = config.uri;
  const accesstoken = config.accessToken;
  const method = config.method;
  const params = config.params;
  return _apiFetch(uri, params, { accesstoken }, method);
}

export default {
  getListData(params) {
    return _apiFetch('listdata', params);
  },
};
