import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';
import React, { Component } from 'react';
import {
  Dimensions,
  StyleSheet,
  WebView,
  View,
  FlatList,
  TouchableOpacity,
  Text,
} from 'react-native';
import { Map } from 'immutable';

import FormatText from '../../components/format-text';
import MarketListItem from '../../components/market-list-item';
import * as auctionActions from '../../reducers/auction/auctionActions';

var Screen = Dimensions.get('window');

class Market extends Component {
  constructor(props, context) {
    super(props);
    this.state = {
      paused: true,
      refreshState: false,
    };
    this.refreshData = this.refreshData.bind(this);
  }

  componentWillMount() {
    this.props.actions.getLongAuctionList();
  }

  refreshData() {
    this.setState({refreshState: true});
    setTimeout(() => {
      this.setState({refreshState: false});
    }, 1000);
  }

  // <TouchableOpacity onPress={ this.onButtonPress.bind(this) }>
  //   <Text>获取测试列表数据</Text>
  // </TouchableOpacity>
  render() {
    const { navigate } = this.props.navigation;
    const listData = this.props.auction;
    console.log('listData', this.props.auction);

    return (
      <View style = {styles.container}>
        <FlatList
          data={listData}
          onRefresh={this.refreshData}
          refreshing={this.state.refreshState}
          renderItem={({item}) => <MarketListItem item={item}></MarketListItem>}
        />
      </View>
    );
  }

  onButtonPress() {
    this.props.actions.getLongAuctionList();
    console.log('auction', this.props.auction);
  }
}

const actions = [
  auctionActions
];

function mapStateToProps(state) {
  return {
    ...state
  };
}

function mapDispatchToProps(dispatch) {
  const creators = Map()
    .merge(...actions)
    .filter(value => typeof value === 'function')
    .toObject();

  return {
    actions: bindActionCreators(creators, dispatch),
    dispatch
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(Market);

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#ffffff',
    // alignItems: 'center',
    // justifyContent: 'center'
  },
  webviewWrap: {
    width: Screen.width,
    height: Screen.height
  }
});
